Subscribe to Alert Topic
curl --request POST \
--url https://alerts-api.dial.to/v2/topics/subscribe \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Dialect-Client-Key: <x-dialect-client-key>' \
--data '
{
"topicId": "123e4567-e89b-12d3-a456-426614174000"
}
'import requests
url = "https://alerts-api.dial.to/v2/topics/subscribe"
payload = { "topicId": "123e4567-e89b-12d3-a456-426614174000" }
headers = {
"X-Dialect-Client-Key": "<x-dialect-client-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Dialect-Client-Key': '<x-dialect-client-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({topicId: '123e4567-e89b-12d3-a456-426614174000'})
};
fetch('https://alerts-api.dial.to/v2/topics/subscribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {}
}{
"error": "<string>"
}{
"error": "<string>"
}Integrate an Inbox
Subscribe to Alert Topic
Enable receiving alerts for a specific topic to provide granular notification control and better user experience
POST
/
v2
/
topics
/
subscribe
Subscribe to Alert Topic
Authorizations
Bearer token authentication for subscriber calls
Headers
Client Key used to uniquely identify the client
Example:
"dk_gyh2eqzfkc4mhp5eiahnndkz"
Body
application/json
List of topic IDs to be updated
Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
Topic preference updated successfully
The response is of type object.
Was this page helpful?
⌘I